Author Topic: Android Studio - What happens with me and in future....  (Read 264 times)

Offline spacefractal

  • Community Developer
  • Prof. Inline
  • ******
  • Posts: 3678
    • View Profile
    • Space Fractal
UPDATE:
the newest Android Studio 3.5.1 works very fine (but you might let it need to update the grandle, but should do it fine)! There is some more bugs with Android 5.0 throught (SDL Audio also might not work anymore, which can been disabled), but has not seen issues from Android 6. This can also just been a emulation issue. Not checked on a device.

Im have not Not heard any trouble with Android 6.0, but if its does, let me know of course.

To been clear:
Android 5 is very hard to get working in Android Studio and will currectly not to to get it working again as threre too many issues. So please do NOT ask me about Android 5.0 issues as im will skip it. If its should fixed, im/Gernot will let you know!

So API23 is required as minimum with Glbasic and Android Studio!

ORIGINAL:

First at all: Sorry to all (include Gernot), if im have been aggreisve or frustated!

Even im finally uninstalled AS under by rage and frustation, im will try again after some days with a very fresh install. So dont worry.

But first at all im wlll NOT recommened to use Android Studio 3.5 as Google have choosen not to write how to update the grandle files as they would been totally broken and no longer work (why those hard coded version numbers, diddent make sense if they can breaks). But im do seen AS 3.4 does works nicely with the newest SDK, so you would still could release on Google Play at least. This is the  matter anyway.

Here is the place you can manually download Android Studio Version 3.4 (or version 3.4.1):
https://developer.android.com/studio/archive

IM will NO LONGER support Android Version 5 and down:
Android Studio have broken it, that it and im fighted too long time on it, and Android 5 is now really old now. So im will no longer support it (only if Gernot can fix the file access issues). Im will require API 23 or higher (as im did do seen that version worked fine).

What about API 22 and down?
We could actuelly just include the current version we did for Android SDK really. Im do not sure its still allowered and how multiple apks works. No idea actuelly.

Why did im delete threads?
im should not do that, so sorry, was just by frustation (was my own throught). Im do have those issues in mind and will update in the weeked or next week. Dont worry. its was nowhere the jpg issue, which is not present on Android 6+ anyway as well the other issue was also not present too. Im do thinks im did send those to Gernot, so he might have implmeented and updated it. so im have still have the files.

« Last Edit: 2019-Oct-12 by spacefractal »
Greedy Mouse - Karma Miwa - Spot Race - CatchOut - Android Extras - is on a vacation trip, home before end of few days in jan.

Offline Snoopy

  • Dr. Type
  • ****
  • Posts: 290
    • View Profile
I haven't followed the whole story, but I understand your frustration. IOS and Android are boring me a lot right now :sick:
I put aside mobile development because of that.

You have my support Spacefractal.

Offline spacefractal

  • Community Developer
  • Prof. Inline
  • ******
  • Posts: 3678
    • View Profile
    • Space Fractal
Im do have reinstalled 3.4.1 in this morning, complete fresh install, so im will recheck again, but still first  checking think later this week. Sometimes its just best that way  ;).

But its does seen Android 6.0 has about 60%+ of Google Play users while Android 5.0+ has about just more than 80% of users. just to info, so if Gernot could fix the file acces issue with Android 5, that would been cool, but im wont do the mill again until then.

We do need to  do a very different grandle strategy so we safely can update in the future (there is about 5 configuration files). but its not important right now.
« Last Edit: 2019-Aug-22 by spacefractal »
Greedy Mouse - Karma Miwa - Spot Race - CatchOut - Android Extras - is on a vacation trip, home before end of few days in jan.

Offline spacefractal

  • Community Developer
  • Prof. Inline
  • ******
  • Posts: 3678
    • View Profile
    • Space Fractal
But as Google play does support multiple apk in same app, I'm will checking if the old Android sdk is still possible to use for platforms 22 and below and then use Android studio for platforms 23 and above. That would been very great!
Greedy Mouse - Karma Miwa - Spot Race - CatchOut - Android Extras - is on a vacation trip, home before end of few days in jan.

Offline erico

  • Community Developer
  • Prof. Inline
  • ******
  • Posts: 4218
    • View Profile
    • Portfolio
Totally understood, it truly sucks the way they keep changing stuff all the time.
Still, it is nice job you did so far and that and the 3.4 version working is great! :good:

I will try to step into the android back again soon, just didnĀ“t have the time yet.

Offline spacefractal

  • Community Developer
  • Prof. Inline
  • ******
  • Posts: 3678
    • View Profile
    • Space Fractal
Im do consider to checking how multiple google play APKS works.

Then we can use Android SDK (the old one) for Api 16 (Android 4.1)-22 (Android 5.1) and Android Studio with Api 23 (Android 6.0) and up. This should been possible to support most kind of devices, even im will no longer support Android Extras on old devices of course, but they would could run on them.

« Last Edit: 2019-Aug-23 by spacefractal »
Greedy Mouse - Karma Miwa - Spot Race - CatchOut - Android Extras - is on a vacation trip, home before end of few days in jan.

Offline MrPlow

  • Prof. Inline
  • *****
  • Posts: 1523
    • View Profile
Hi SF,

That seems to be very awkward compiling 2 different setups. Maybe Gernot has a fix for the API 21/22 issues?
It can't just be that Android Studio causes this - otherwise the error would be popping up on many other forums.
Comp:
Speccy-48k, Speccy-128k, Amigas, PCs

Offline spacefractal

  • Community Developer
  • Prof. Inline
  • ******
  • Posts: 3678
    • View Profile
    • Space Fractal
can been securiy reasons or in fact using by a newer compiler. This also happens on iOS too. We havent change the code here at all since, so its the extract same code here. Its wont even copy the files from the CopyAssests Java part for some odd reasons.
« Last Edit: 2019-Aug-23 by spacefractal »
Greedy Mouse - Karma Miwa - Spot Race - CatchOut - Android Extras - is on a vacation trip, home before end of few days in jan.

Offline spacefractal

  • Community Developer
  • Prof. Inline
  • ******
  • Posts: 3678
    • View Profile
    • Space Fractal
To been clear:
Android 5 is very hard to get working in Android Studio and will currectly not to to get it working again as threre too many issues. So please do NOT ask me about Android 5.0 issues as im will skip it and delete them in the future. If its should beenfixed, im/Gernot will let you know.

But if there is some issues in Android 6+ etc, let me know of course. Android is strange beast, so there is allways some issues.

So API23 (Android 6.0+) is required as minimum with Glbasic and Android Studio!
Greedy Mouse - Karma Miwa - Spot Race - CatchOut - Android Extras - is on a vacation trip, home before end of few days in jan.